Foreman - Bug #9634

Creating a host via APl without OS set gives undefined method "boot_filename' exception

03/04/2015 07:07 AM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: DHCP
Target version: 1.8.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1197975 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2378
Description

We already fixed this for Discovery Ul, but the error remains for Foreman core when you try to create a host without OS set via API.

Related issues:
Related to Foreman - Bug #5701: Creating a host without OS set gives undefine...

Closed 05/13/2014

Associated revisions

Revision 93dbb7e7 - 05/14/2015 04:24 AM - Ori Rabin

Fixes #9634 - creating a host with an interface and without os returns a validation message

Revision 61251e24 - 05/20/2015 07:26 AM - Ori Rabin

Fixes #9634 - creating a host with an interface and without os returns a validation message

(cherry picked from commit 93dbb7e77dc3502a5cfa6888a13212bed7e178f6)

History

#1 - 03/04/2015 07:08 AM - Lukas Zapletal

- Project changed from Foreman to Discovery

- Category changed from API to Discovery plugin
- Bugzilla link set to 1197975

Moving to discovery as | am not sure if we can reproduce this in core foreman.

#2 - 03/04/2015 07:09 AM - Lukas Zapletal

Reproducer:

[root@dhcp207-190 fdi-image]# curl -i -k -u admin:changeme -H "Accept: application/json" -X GET
'hitps://dhcp207-190.lab.eng.png.redhat.com/api/v2/discovered_hosts/'
HTTP/1.1 200 OK

Status: 200 OK

Connection: close

Transfer-Encoding: chunked

Content-Type: application/json; charset=utf-8

{

"total": 1,
"subtotal": 1,
"page": 1,
"per_page": 20,
"search": null,
"sort": {

"by": null,
"order": null
"results":
[{"name":"mac52540054c6e2","id":4,"ip":"192.168.100.11","mac":"52:54:00:54:c6:e2","last_report":"2015-03-03T05:55:53Z2","subnet_id":1,"subnet_na
me":"libvirt","memory":995,"disk_count":1,"disks_size":8192,"cpus":1,"organization_id":1,"organization_name":"Default
Organization","location_id":2,"location_name":"Default Location"}]

}

Next, | tried to provision it:

[root@dhcp207-190 fdi-imagel# curl -i -k -u admin:changeme -H "Content-Type: application/json" -X PUT
'hitps://dhcp207-190.lab.eng.png.redhat.com/api/v2/discovered_hosts/4'
HTTP/1.1 500 Internal Server Error

Status: 500 Internal Server Error
Connection: close

Transfer-Encoding: chunked

Content-Type: application/json; charset=utf-8

{

"error": {"message":"undefined method "boot_filename' for nil:NilClass"}

}

We should give a nice error.

For the record: this patch (which was NOT merged) fixes this, but it is not clean. We should somehow detect earlier that OS was not set and raise a
nicer error instead.

#3 - 03/04/2015 07:10 AM - Lukas Zapletal

- Target version set to Discovery Plugin 4.0.0

#4 - 03/04/2015 07:14 AM - Lukas Zapletal
- Related to Bug #5701: Creating a host without OS set gives undefined method "boot _filename' exception added

#5 - 03/17/2015 08:31 AM - Lukas Zapletal

- Target version changed from Discovery Plugin 4.0.0 to Discovery Plugin 2.0.1

#6 - 05/06/2015 07:11 AM - Lukas Zapletal

For the record there was a solution filed https:/github.com/theforeman/foreman/pull/2026 but it was replaced by
https://github.com/theforeman/foreman/pull/2120 (Ul fix only). Not API/CLI.

#7 - 05/13/2015 05:32 AM - Ori Rabin

- Project changed from Discovery to Foreman
- Category deleted (Discovery plugin)

- Status changed from New to Assigned

- Assignee set to Ori Rabin

- Target version deleted (Discovery Plugin 2.0.1)

This is also reproducible through the Ul with a new host: create a host, fill in the interface but not the os and try to save

#8 - 05/13/2015 07:18 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2378 added
- Pull request deleted ()

#9 - 05/14/2015 04:22 AM - Dominic Cleal
- Category set to DHCP

- translation missing: en.field_release set to 50

#10 - 05/14/2015 05:01 AM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
https://github.com/theforeman/foreman/pull/2026
https://github.com/theforeman/foreman/pull/2120

Applied in changeset 93dbb7e77dc3502a5cfa6888a13212bed7e17816.

05/18/2024 3/3


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/93dbb7e77dc3502a5cfa6888a13212bed7e178f6
http://www.tcpdf.org

